        subroutine FCT(TIME,Y,DY)
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'UNITS.INC'
      include 'LOCAL1.INC'
        dimension Y(KOUNT,KCHEM),DY(KOUNT,KCHEM)
        double precision Y, DY, TIME
        integer I, J, K, K1
      do 130 K = 1, KCHEM
         do 120 J = 1, KOUNT
            DY(J,K) = CONLDL(J,K)-Y(J,K)*TOTKL(J,K)
            do 100 I = 1, KOUNT
               DY(J,K) = DY(J,K)+Y(I,K)*INTINL(I,J,K)
100         continue
            do 110 K1 = 1, KCHEM
               DY(J,K) = DY(J,K)+YIELDL(K,K1,J)*Y(J,K1)
110         continue
120      continue
130   continue
      return
      end
